Summary: a module to convert character encoding of request URLs for the Apache web server.
Name: mod_encoding
Version: 20040616
Release: 1.webdavjp.2
Group: System Environment/Daemons
URL: http://webdav.todo.gr.jp/
Source0: http://webdav.todo.gr.jp/downloads/mod_encoding-20021209.tar.gz
Source1: http://webdav.todo.gr.jp/download/experimental/mod_encoding.c.apache2.%{version}
Source2: mod_encoding.conf
Patch1: mod_encoding-20021209-Makefile.in.patch
Patch2: mod_encoding.20020611a-2.fix.patch
License: Apache Software License
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: httpd-devel
Requires: webserver

%description
This module improves non-ascii filename interoperability of
apache (and mod_dav).

%prep
%setup -q -n mod_encoding-20021209
cp $RPM_SOURCE_DIR/mod_encoding.c.apache2.%{version} $RPM_BUILD_DIR/mod_encoding-20021209/mod_encoding.c
%patch1 -p1 -b .makefile
%patch2 -p1 -b .fix

%build
./configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -m755 .libs/mod_encoding.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m644 $RPM_SOURCE_DIR/mod_encoding.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %{_sysconfdir}/httpd/conf.d/mod_encoding.conf
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.JP
%{_libdir}/httpd/modules/*.so

%changelog
* Wed Nov 17 2004 IWAMA Kazuhiko <iwama@ymc.ne.jp> 20040616.1.webdavjp.2
- rebuild

* Tue Sep 22 2004 IWAMA Kazuhiko <iwama@ymc.ne.jp> 20040616.1.webdavjp.1
- Use mod_encoding.apache2.20040616 and unparsed query string patch

* Tue May 25 2004 IWAMA Kazuhiko <iwama@ymc.ne.jp> 20021209.2.webdavjp.1
- Use mod_encoding.apache2.20020611a-2 and unparsed query string patch

* Wed Jul 9 2002 Akira Yoshiyama <a-yoshiyama@bu.jp.nec.com> 20020611a-1
- Initial release.

